## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global srcname AvaTax-REST-V2-Python-SDK
%global pkgname avalara

Name:           python-avalara
Version:        25.1.0
Release:        4%{?dist}
Summary:        AvaTax Python SDK


License:        Apache-2.0
URL:            https://github.com/avadev/%{srcname}
Source0:        https://github.com/avadev/%{srcname}/archive/refs/tags/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel



%global _description %{expand:
Sales Tax API SDK for Python and AvaTax REST.}

%description %_description

%package -n python3-%{pkgname}
Summary: %{summary}

%description -n python3-%{pkgname} %_description



%prep
%autosetup -n %{srcname}-%{version}
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pkgname}


%check
%pyproject_check_import
# Not running tests here as they require you to have an account and an internet connection.

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt


%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 25.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 25.1.0-5
- Rebuilt for Python 3.14

* Fri Mar 14 2025 Lumir Balhar <lbalhar@redhat.com> - 25.1.0-4
- Use the output of pyproject_save_files

* Wed Feb 26 2025 Alex Manson <alex.manson@aiven.io> - 25.1.0-3
- Updated sources

* Wed Feb 26 2025 Alex Manson <alex.manson@aiven.io> - 25.1.0-2
- Updated sources

* Wed Feb 26 2025 Alex Manson <alex.manson@aiven.io> - 25.1.0-1
- Bumped version to 25.1.0

* Tue Feb 04 2025 Alex Manson <alex.manson@aiven.io> - 24.12.0-1
- Initial import (fedora#2341868).
## END: Generated by rpmautospec
